Atk::Table Class Reference

The ATK interface implemented for UI components which contain tabular or row/column information. More...

`#include <atkmm/table.h>`

Inheritance diagram for Atk::Table:
[legend]

## Public Member Functions

| Table (Table && src) noexcept
Table & | operator= (Table && src) noexcept
| ~Table () noexcept override
AtkTable * | gobj ()
| Provides access to the underlying C GObject.
const AtkTable * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Atk::Object > | get_at (int row, int column)
| Get a reference to the table cell at row, column.
Glib::RefPtr< const Atk::Object > | get_at (int row, int column) const
| Get a reference to the table cell at row, column.
int | get_index_at (int row, int column) const
| Gets a int representing the index at the specified row and column.
int | get_column_at_index (int index) const
| Gets a int representing the column at the specified index.
int | get_row_at_index (int index) const
| Gets a int representing the row at the specified index.
int | get_n_columns () const
| Gets the number of columns in the table.
int | get_n_rows () const
| Gets the number of rows in the table.
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table.
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table.
Glib::RefPtr< Atk::Object > | get_caption ()
| Gets the caption for the table.
Glib::RefPtr< const Atk::Object > | get_caption () const
| Gets the caption for the table.
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table.
Glib::RefPtr< Atk::Object > | get_column_header (int column)
| Gets the column header of a specified column in an accessible table.
Glib::RefPtr< const Atk::Object > | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table.
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table.
Glib::RefPtr< Atk::Object > | get_row_header (int row)
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< const Atk::Object > | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< Atk::Object > | get_summary ()
| Gets the summary description of the table.
Glib::RefPtr< const Atk::Object > | get_summary () const
| Gets the summary description of the table.
void | set_caption (const Glib::RefPtr< Atk::Object > & caption)
| Sets the caption for the table.
void | set_column_description (int column, const Glib::ustring & description)
| Sets the description text for the specified column of the table.
void | set_column_header (int column, const Glib::RefPtr< Atk::Object > & header)
| Sets the specified column header to header.
void | set_row_description (int row, const Glib::ustring & description)
| Sets the description text for the specified row of table.
void | set_row_header (int row, const Glib::RefPtr< Atk::Object > & header)
| Sets the specified row header to header.
void | set_summary (const Glib::RefPtr< Atk::Object > & accessible)
| Sets the summary description of the table.
Glib::ArrayHandle< int > | get_selected_columns () const
Glib::ArrayHandle< int > | get_selected_rows () const
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected.
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected.
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected.
bool | add_row_selection (int row)
| Adds the specified row to the selection.
bool | remove_row_selection (int row)
| Removes the specified row from the selection.
bool | add_column_selection (int column)
| Adds the specified column to the selection.
bool | remove_column_selection (int column)
| Adds the specified column to the selection.
Glib::SignalProxy< void, int, int > | signal_row_inserted ()
Glib::SignalProxy< void, int, int > | signal_column_inserted ()
Glib::SignalProxy< void, int, int > | signal_row_deleted ()
Glib::SignalProxy< void, int, int > | signal_column_deleted ()
Glib::SignalProxy< void > | signal_row_reordered ()
Glib::SignalProxy< void > | signal_column_reordered ()
Glib::SignalProxy< void > | signal_model_changed ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| Table ()
| You should derive from this class to use it.
virtual Glib::RefPtr< Atk::Object > | get_at_vfunc (int row, int column)
virtual int | get_index_at_vfunc (int row, int column) const
virtual int | get_column_at_index_vfunc (int index) const
virtual int | get_row_at_index_vfunc (int index) const
virtual int | get_n_columns_vfunc () const
virtual int | get_n_rows_vfunc () const
virtual int | get_column_extent_at_vfunc (int row, int column) const
virtual int | get_row_extent_at_vfunc (int row, int column) const
virtual Glib::RefPtr< Atk::Object > | get_caption_vfunc ()
virtual const char * | get_column_description_vfunc (int column) const
virtual Glib::RefPtr< Atk::Object > | get_column_header_vfunc (int column)
virtual const char * | get_row_description_vfunc (int row) const
virtual Glib::RefPtr< Atk::Object > | get_row_header_vfunc (int row)
virtual Glib::RefPtr< Atk::Object > | get_summary_vfunc ()
virtual void | set_caption_vfunc (const Glib::RefPtr< Atk::Object > & caption)
virtual void | set_column_description_vfunc (int column, const char * description)
virtual void | set_column_header_vfunc (int column, const Glib::RefPtr< Atk::Object > & header)
virtual void | set_row_description_vfunc (int row, const char * description)
virtual void | set_row_header_vfunc (int row, const Glib::RefPtr< Atk::Object > & header)
virtual void | set_summary_vfunc (const Glib::RefPtr< Atk::Object > & accessible)
virtual bool | is_column_selected_vfunc (int column) const
virtual bool | is_row_selected_vfunc (int row) const
virtual bool | is_selected_vfunc (int row, int column) const
virtual bool | add_row_selection_vfunc (int row)
virtual bool | remove_row_selection_vfunc (int row)
virtual bool | add_column_selection_vfunc (int column)
virtual bool | remove_column_selection_vfunc (int column)
virtual int | get_selected_columns_vfunc (int ** selected) const
virtual int | get_selected_rows_vfunc (int ** selected) const
virtual void | on_row_inserted (int row, int num_inserted)
| This is a default handler for the signal signal_row_inserted().
virtual void | on_column_inserted (int column, int num_inserted)
| This is a default handler for the signal signal_column_inserted().
virtual void | on_row_deleted (int row, int num_deleted)
| This is a default handler for the signal signal_row_deleted().
virtual void | on_column_deleted (int column, int num_deleted)
| This is a default handler for the signal signal_column_deleted().
virtual void | on_row_reordered ()
| This is a default handler for the signal signal_row_reordered().
virtual void | on_column_reordered ()
| This is a default handler for the signal signal_column_reordered().
virtual void | on_model_changed ()
| This is a default handler for the signal signal_model_changed().

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::Table > | wrap (AtkTable * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface implemented for UI components which contain tabular or row/column information.

This should be implemented by components which present elements ordered via rows and columns. It may also be used to present tree-structured information if the nodes of the trees can be said to contain multiple "columns". Individual elements of an Atk::Table are typically referred to as "cells", and these cells are exposed by Atk::Table as child Atk::Objects of the Atk::Table. Both row/column and child-index-based access to these children is provided.

Children of Atk::Table are frequently "lightweight" objects, that is, they may not have backing widgets in the host UI toolkit. They are therefore often transient.

Since tables are often very complex, Atk::Table includes provision for offering simplified summary information, as well as row and column headers and captions. Headers and captions are AtkObjects which may implement other interfaces (Atk::Text, Atk::Image, etc.) as appropriate. Atk::Table summaries may themselves be (simplified) Atk::Tables, etc.

## Constructor & Destructor Documentation

## Table() [1/2]

Atk::Table::Table | ( |  | ) |

protected

You should derive from this class to use it.

## Table() [2/2]

Atk::Table::Table | ( | Table && | src | ) |

noexcept

## ~Table()

Atk::Table::~Table | ( |  | ) |

override noexcept

## Member Function Documentation

## add_column_selection()

bool Atk::Table::add_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters

  column | A int representing a column in table.

Returns
  A bool representing if the column was successfully added to the selection, or 0 if value does not implement this interface.

## add_column_selection_vfunc()

virtual bool Atk::Table::add_column_selection_vfunc | ( | int | column | ) |

protected virtual

## add_interface()

void Atk::Table::add_interface | ( | GType | gtype_implementer | ) |

static

## add_row_selection()

bool Atk::Table::add_row_selection | ( | int | row | ) |

Adds the specified row to the selection.

Parameters

  row | A int representing a row in table.

Returns
  A bool representing if row was successfully added to selection, or 0 if value does not implement this interface.

## add_row_selection_vfunc()

virtual bool Atk::Table::add_row_selection_vfunc | ( | int | row | ) |

protected virtual

## get_at() [1/2]

Glib::RefPtr< Atk::Object > Atk::Table::get_at | ( | int | row,
|  | int | column )

Get a reference to the table cell at row, column.

This cell should implement the interface Atk::TableCell

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  An Atk::Object representing the referred to accessible.

## get_at() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Table::get_at | ( | int | row,
|  | int | column ) const

Get a reference to the table cell at row, column.

This cell should implement the interface Atk::TableCell

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  An Atk::Object representing the referred to accessible.

## get_at_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Table::get_at_vfunc | ( | int | row,
|  | int | column )

protected virtual

## get_caption() [1/2]

Glib::RefPtr< Atk::Object > Atk::Table::get_caption | ( |  | ) |

Gets the caption for the table.

Returns
  A AtkObject* representing the table caption, or nullptr if value does not implement this interface.

## get_caption() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Table::get_caption | ( |  | ) | const

Gets the caption for the table.

Returns
  A AtkObject* representing the table caption, or nullptr if value does not implement this interface.

## get_caption_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Table::get_caption_vfunc | ( |  | ) |

protected virtual

## get_column_at_index()

int Atk::Table::get_column_at_index | ( | int | index | ) | const

Gets a int representing the column at the specified index.

Deprecated:

Since atkmm 2.12

Deprecated
  This should not be used in newly-written code.

Parameters

  index | A int representing an index in table.

Returns
  A int representing the column at the specified index, or -1 if the table does not implement this method.

## get_column_at_index_vfunc()

virtual int Atk::Table::get_column_at_index_vfunc | ( | int | index | ) | const

protected virtual

## get_column_description()

Glib::ustring Atk::Table::get_column_description | ( | int | column | ) | const

Gets the description text of the specified column in the table.

Parameters

  column | A int representing a column in table.

Returns
  A gchar* representing the column description, or nullptr if value does not implement this interface.

## get_column_description_vfunc()

virtual const char * Atk::Table::get_column_description_vfunc | ( | int | column | ) | const

protected virtual

## get_column_extent_at()

int Atk::Table::get_column_extent_at | ( | int | row,
|  | int | column ) const

Gets the number of columns occupied by the accessible object at the specified row and column in the table.

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  A int representing the column extent at specified position, or 0 if value does not implement this interface.

## get_column_extent_at_vfunc()

virtual int Atk::Table::get_column_extent_at_vfunc | ( | int | row,
|  | int | column ) const

protected virtual

## get_column_header() [1/2]

Glib::RefPtr< Atk::Object > Atk::Table::get_column_header | ( | int | column | ) |

Gets the column header of a specified column in an accessible table.

Parameters

  column | A int representing a column in the table.

Returns
  A AtkObject* representing the specified column header, or nullptr if value does not implement this interface.

## get_column_header() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Table::get_column_header | ( | int | column | ) | const

Gets the column header of a specified column in an accessible table.

Parameters

  column | A int representing a column in the table.

Returns
  A AtkObject* representing the specified column header, or nullptr if value does not implement this interface.

## get_column_header_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Table::get_column_header_vfunc | ( | int | column | ) |

protected virtual

## get_index_at()

int Atk::Table::get_index_at | ( | int | row,
|  | int | column ) const

Gets a int representing the index at the specified row and column.

Deprecated: Since 2.12. Use ref_at() in order to get the accessible that represents the cell at ( row, column)

Deprecated
  Use get_at() instead.

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  A int representing the index at specified position. The value -1 is returned if the object at row,column is not a child of table or table does not implement this interface.

## get_index_at_vfunc()

virtual int Atk::Table::get_index_at_vfunc | ( | int | row,
|  | int | column ) const

protected virtual

## get_n_columns()

int Atk::Table::get_n_columns | ( |  | ) | const

Gets the number of columns in the table.

Returns
  A int representing the number of columns, or 0 if value does not implement this interface.

## get_n_columns_vfunc()

virtual int Atk::Table::get_n_columns_vfunc | ( |  | ) | const

protected virtual

## get_n_rows()

int Atk::Table::get_n_rows | ( |  | ) | const

Gets the number of rows in the table.

Returns
  A int representing the number of rows, or 0 if value does not implement this interface.

## get_n_rows_vfunc()

virtual int Atk::Table::get_n_rows_vfunc | ( |  | ) | const

protected virtual

## get_row_at_index()

int Atk::Table::get_row_at_index | ( | int | index | ) | const

Gets a int representing the row at the specified index.

Deprecated: since 2.12.

Deprecated
  This should not be used in newly-written code.

Parameters

  index | A int representing an index in table.

Returns
  A int representing the row at the specified index, or -1 if the table does not implement this method.

## get_row_at_index_vfunc()

virtual int Atk::Table::get_row_at_index_vfunc | ( | int | index | ) | const

protected virtual

## get_row_description()

Glib::ustring Atk::Table::get_row_description | ( | int | row | ) | const

Gets the description text of the specified row in the table.

Parameters

  row | A int representing a row in table.

Returns
  A gchar* representing the row description, or nullptr if value does not implement this interface.

## get_row_description_vfunc()

virtual const char * Atk::Table::get_row_description_vfunc | ( | int | row | ) | const

protected virtual

## get_row_extent_at()

int Atk::Table::get_row_extent_at | ( | int | row,
|  | int | column ) const

Gets the number of rows occupied by the accessible object at a specified row and column in the table.

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  A int representing the row extent at specified position, or 0 if value does not implement this interface.

## get_row_extent_at_vfunc()

virtual int Atk::Table::get_row_extent_at_vfunc | ( | int | row,
|  | int | column ) const

protected virtual

## get_row_header() [1/2]

Glib::RefPtr< Atk::Object > Atk::Table::get_row_header | ( | int | row | ) |

Gets the row header of a specified row in an accessible table.

Parameters

  row | A int representing a row in the table.

Returns
  A AtkObject* representing the specified row header, or nullptr if value does not implement this interface.

## get_row_header() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Table::get_row_header | ( | int | row | ) | const

Gets the row header of a specified row in an accessible table.

Parameters

  row | A int representing a row in the table.

Returns
  A AtkObject* representing the specified row header, or nullptr if value does not implement this interface.

## get_row_header_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Table::get_row_header_vfunc | ( | int | row | ) |

protected virtual

## get_selected_columns()

Glib::ArrayHandle< int > Atk::Table::get_selected_columns | ( |  | ) | const

## get_selected_columns_vfunc()

virtual int Atk::Table::get_selected_columns_vfunc | ( | int ** | selected | ) | const

protected virtual

## get_selected_rows()

Glib::ArrayHandle< int > Atk::Table::get_selected_rows | ( |  | ) | const

## get_selected_rows_vfunc()

virtual int Atk::Table::get_selected_rows_vfunc | ( | int ** | selected | ) | const

protected virtual

## get_summary() [1/2]

Glib::RefPtr< Atk::Object > Atk::Table::get_summary | ( |  | ) |

Gets the summary description of the table.

Returns
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

## get_summary() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Table::get_summary | ( |  | ) | const

Gets the summary description of the table.

Returns
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

## get_summary_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Table::get_summary_vfunc | ( |  | ) |

protected virtual

## get_type()

GType Atk::Table::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

AtkTable * Atk::Table::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkTable * Atk::Table::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## is_column_selected()

bool Atk::Table::is_column_selected | ( | int | column | ) | const

Gets a boolean value indicating whether the specified column is selected.

Parameters

  column | A int representing a column in table.

Returns
  A bool representing if the column is selected, or 0 if value does not implement this interface.

## is_column_selected_vfunc()

virtual bool Atk::Table::is_column_selected_vfunc | ( | int | column | ) | const

protected virtual

## is_row_selected()

bool Atk::Table::is_row_selected | ( | int | row | ) | const

Gets a boolean value indicating whether the specified row is selected.

Parameters

  row | A int representing a row in table.

Returns
  A bool representing if the row is selected, or 0 if value does not implement this interface.

## is_row_selected_vfunc()

virtual bool Atk::Table::is_row_selected_vfunc | ( | int | row | ) | const

protected virtual

## is_selected()

bool Atk::Table::is_selected | ( | int | row,
|  | int | column ) const

Gets a boolean value indicating whether the accessible object at the specified row and column is selected.

Parameters

  row | A int representing a row in table.
  column | A int representing a column in table.

Returns
  A bool representing if the cell is selected, or 0 if value does not implement this interface.

## is_selected_vfunc()

virtual bool Atk::Table::is_selected_vfunc | ( | int | row,
|  | int | column ) const

protected virtual

## on_column_deleted()

virtual void Atk::Table::on_column_deleted | ( | int | column,
|  | int | num_deleted )

protected virtual

This is a default handler for the signal signal_column_deleted().

## on_column_inserted()

virtual void Atk::Table::on_column_inserted | ( | int | column,
|  | int | num_inserted )

protected virtual

This is a default handler for the signal signal_column_inserted().

## on_column_reordered()

virtual void Atk::Table::on_column_reordered | ( |  | ) |

protected virtual

This is a default handler for the signal signal_column_reordered().

## on_model_changed()

virtual void Atk::Table::on_model_changed | ( |  | ) |

protected virtual

This is a default handler for the signal signal_model_changed().

## on_row_deleted()

virtual void Atk::Table::on_row_deleted | ( | int | row,
|  | int | num_deleted )

protected virtual

This is a default handler for the signal signal_row_deleted().

## on_row_inserted()

virtual void Atk::Table::on_row_inserted | ( | int | row,
|  | int | num_inserted )

protected virtual

This is a default handler for the signal signal_row_inserted().

## on_row_reordered()

virtual void Atk::Table::on_row_reordered | ( |  | ) |

protected virtual

This is a default handler for the signal signal_row_reordered().

## operator=()

Table & Atk::Table::operator= | ( | Table && | src | ) |

noexcept

## remove_column_selection()

bool Atk::Table::remove_column_selection | ( | int | column | ) |

Adds the specified column to the selection.

Parameters

  column | A int representing a column in table.

Returns
  A bool representing if the column was successfully removed from the selection, or 0 if value does not implement this interface.

## remove_column_selection_vfunc()

virtual bool Atk::Table::remove_column_selection_vfunc | ( | int | column | ) |

protected virtual

## remove_row_selection()

bool Atk::Table::remove_row_selection | ( | int | row | ) |

Removes the specified row from the selection.

Parameters

  row | A int representing a row in table.

Returns
  A bool representing if the row was successfully removed from the selection, or 0 if value does not implement this interface.

## remove_row_selection_vfunc()

virtual bool Atk::Table::remove_row_selection_vfunc | ( | int | row | ) |

protected virtual

## set_caption()

void Atk::Table::set_caption | ( | const Glib::RefPtr< Atk::Object > & | caption | ) |

Sets the caption for the table.

Parameters

  caption | A Atk::Object representing the caption to set for table.

## set_caption_vfunc()

virtual void Atk::Table::set_caption_vfunc | ( | const Glib::RefPtr< Atk::Object > & | caption | ) |

protected virtual

## set_column_description()

void Atk::Table::set_column_description | ( | int | column,
|  | const Glib::ustring & | description )

Sets the description text for the specified column of the table.

Parameters

  column | A int representing a column in table.
  description | A #gchar representing the description text to set for the specified column of the table.

## set_column_description_vfunc()

virtual void Atk::Table::set_column_description_vfunc | ( | int | column,
|  | const char * | description )

protected virtual

## set_column_header()

void Atk::Table::set_column_header | ( | int | column,
|  | const Glib::RefPtr< Atk::Object > & | header )

Sets the specified column header to header.

Parameters

  column | A int representing a column in table.
  header | An Atk::Table.

## set_column_header_vfunc()

virtual void Atk::Table::set_column_header_vfunc | ( | int | column,
|  | const Glib::RefPtr< Atk::Object > & | header )

protected virtual

## set_row_description()

void Atk::Table::set_row_description | ( | int | row,
|  | const Glib::ustring & | description )

Sets the description text for the specified row of table.

Parameters

  row | A int representing a row in table.
  description | A #gchar representing the description text to set for the specified row of table.

## set_row_description_vfunc()

virtual void Atk::Table::set_row_description_vfunc | ( | int | row,
|  | const char * | description )

protected virtual

## set_row_header()

void Atk::Table::set_row_header | ( | int | row,
|  | const Glib::RefPtr< Atk::Object > & | header )

Sets the specified row header to header.

Parameters

  row | A int representing a row in table.
  header | An Atk::Table.

## set_row_header_vfunc()

virtual void Atk::Table::set_row_header_vfunc | ( | int | row,
|  | const Glib::RefPtr< Atk::Object > & | header )

protected virtual

## set_summary()

void Atk::Table::set_summary | ( | const Glib::RefPtr< Atk::Object > & | accessible | ) |

Sets the summary description of the table.

Parameters

  accessible | An Atk::Object representing the summary description to set for table.

## set_summary_vfunc()

virtual void Atk::Table::set_summary_vfunc | ( | const Glib::RefPtr< Atk::Object > & | accessible | ) |

protected virtual

## signal_column_deleted()

Glib::SignalProxy< void, int, int > Atk::Table::signal_column_deleted | ( |  | ) |

Slot Prototype:
  void on_my_column_deleted(int column, int num_deleted)

Flags: Run Last

The "column-deleted" signal is emitted by an object which implements the AtkTable interface when a column is deleted.

Parameters

  column | The index of the first column deleted.
  num_deleted | The number of columns deleted.

## signal_column_inserted()

Glib::SignalProxy< void, int, int > Atk::Table::signal_column_inserted | ( |  | ) |

Slot Prototype:
  void on_my_column_inserted(int column, int num_inserted)

Flags: Run Last

The "column-inserted" signal is emitted by an object which implements the AtkTable interface when a column is inserted.

Parameters

  column | The index of the column inserted.
  num_inserted | The number of colums inserted.

## signal_column_reordered()

Glib::SignalProxy< void > Atk::Table::signal_column_reordered | ( |  | ) |

Slot Prototype:
  void on_my_column_reordered()

Flags: Run Last

The "column-reordered" signal is emitted by an object which implements the AtkTable interface when the columns are reordered.

## signal_model_changed()

Glib::SignalProxy< void > Atk::Table::signal_model_changed | ( |  | ) |

Slot Prototype:
  void on_my_model_changed()

Flags: Run Last

The "model-changed" signal is emitted by an object which implements the AtkTable interface when the model displayed by the table changes.

## signal_row_deleted()

Glib::SignalProxy< void, int, int > Atk::Table::signal_row_deleted | ( |  | ) |

Slot Prototype:
  void on_my_row_deleted(int row, int num_deleted)

Flags: Run Last

The "row-deleted" signal is emitted by an object which implements the AtkTable interface when a row is deleted.

Parameters

  row | The index of the first row deleted.
  num_deleted | The number of rows deleted.

## signal_row_inserted()

Glib::SignalProxy< void, int, int > Atk::Table::signal_row_inserted | ( |  | ) |

Slot Prototype:
  void on_my_row_inserted(int row, int num_inserted)

Flags: Run Last

The "row-inserted" signal is emitted by an object which implements the AtkTable interface when a row is inserted.

Parameters

  row | The index of the first row inserted.
  num_inserted | The number of rows inserted.

## signal_row_reordered()

Glib::SignalProxy< void > Atk::Table::signal_row_reordered | ( |  | ) |

Slot Prototype:
  void on_my_row_reordered()

Flags: Run Last

The "row-reordered" signal is emitted by an object which implements the AtkTable interface when the rows are reordered.

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::Table > wrap | ( | AtkTable * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.